main()
{
	precacheFX();
	ambientFX();

	level.scr_sound["sd_mortar"]= "mortar_explosion";
	level.scr_sound["flak88_explode"]= "flak88_explode";
}

precacheFX()
{

	level._effect["flak_explosion"] = loadfx("fx/explosions/flak88_explosion.efx");
	level._effect["lensflare"] = loadfx ("fx/misc/my_lensflare.efx");
	level._effect["building_fire_med"] = loadfx("fx/fire/building_fire_med.fx");
	level._effect["lightning"] = loadfx ("fx/misc/lightning.efx");
	level._effect["insects_carcass_flies"] = loadfx ("fx/misc/insects_carcass_flies.efx");
}

ambientFX()
{
	//fire
	maps\mp\_fx::loopfx("building_fire_med", (1104, -1712, 408), 3, (1104, -1712, 508));
	maps\mp\_fx::loopfx("building_fire_med", (-1096, -1704, 408), 3, (-1096, -1704, 508));
	maps\mp\_fx::loopfx("building_fire_med", (-1080, 472, 408), 3, (-1080, 472, 508));
	maps\mp\_fx::loopfx("building_fire_med", (1088, 472, 408), 3, (1088, 472, 508));

	//flies
	maps\mp\_fx::loopfx("insects_carcass_flies", (-960, 1208, 64), 0.05);
	maps\mp\_fx::loopfx("insects_carcass_flies", (960, -2440, 64), 0.05);

	//moths
	maps\mp\_fx::loopfx("insects_carcass_flies", (1012, 388, 90), 0.1);
	maps\mp\_fx::loopfx("insects_carcass_flies", (1012, -1620, 90), 0.1);
	maps\mp\_fx::loopfx("insects_carcass_flies", (-1015, -1623, 90), 0.1);
	maps\mp\_fx::loopfx("insects_carcass_flies", (-1014, 391, 90), 0.1);

	//lightning
	maps\mp\_fx::loopfx("lightning", (1808,-1200, 1200), 25 );
	maps\mp\_fx::loopfx("lightning", (-1208, 900, 1600), 15);
	maps\mp\_fx::loopfx("lightning", (-1736, -448, 1600), 5);
	maps\mp\_fx::loopfx("lightning", (-2296, -424, 1600), 15);
	maps\mp\_fx::loopfx("lightning", (-680, -1900, 1600), 30);
	maps\mp\_fx::loopfx("lightning", (1000, 1900, 1600), 23);
	maps\mp\_fx::loopfx("lightning", (-2800, -2000,1200), 7);
	maps\mp\_fx::loopfx("lightning", (-1664, 1950, 1200), 10);
	maps\mp\_fx::loopfx("lightning", ( 624, -952, 1600), 27);
	maps\mp\_fx::loopfx("lightning", (-1520, -856, 1600), 17);
	maps\mp\_fx::loopfx("lightning", (1904, 1792, 1200), 13);
	//maps\mp\_fx::loopfx("flash2flak", (-2200, -1900, 1200), 20);

	//lensflare
	maps\mp\_fx::loopfx("lensflare", (1433, 817, 190), 0.15);
	maps\mp\_fx::loopfx("lensflare", (-1433, 817, 190), 0.15);
	maps\mp\_fx::loopfx("lensflare", (-1433, -2047, 190), 0.15);
	maps\mp\_fx::loopfx("lensflare", (1433, -2047, 190), 0.15);

	//sound
	maps\mp\_fx::soundfx("flies", (-960,1208,16));
	maps\mp\_fx::soundfx("flies", (960,-2440,16));
	maps\mp\_fx::soundfx("grille", (-960,1208,16));
	maps\mp\_fx::soundfx("grille", (960,-2440,16));

	maps\mp\_fx::soundfx("zikade", (1082,468,16));
	maps\mp\_fx::soundfx("zikade", (1100,-1706,16));
	maps\mp\_fx::soundfx("zikade", (-1090,-1708,16));
	maps\mp\_fx::soundfx("zikade", (-1084,468,16));
}
